// Start adding iPad code here from screencast

Titanium.UI.setBackgroundColor('#EEE');

var latestWindow = Titanium.UI.createWindow({
  title:'',
  barImage:'iphone-bar.png',
  backgroundImage:'grid-master.png'
});

var latestTab = Titanium.UI.createTab({
  icon:'11-clock.png',
  title:'Latest',
  window:latestWindow
});

var navigationWindow = Titanium.UI.createWindow({
  navBarHidden:true,
  backgroundImage:'grid-master.png'
});

var topicsWindow = Titanium.UI.createWindow({
  barImage:'iphone-topics-bar.png',
  title:''
});

var nav = Ti.UI.iPhone.createNavigationGroup({window:topicsWindow});

navigationWindow.add(nav);

var topicsTab = Titanium.UI.createTab({
  window:navigationWindow,
  title:'topics',
  icon:'15-tags.png'
});

tabGroup.addTab(latestTab);
tabGroup.addTab(topicsTab);
tabGroup.open();

var topicsTable = Titanium.UI.createTableView({data:[], backgroundColor:'transparent'});

topicsWindow.add(topicsTable);

function getVideoData(jsonData){
  return jsonData[0];
};

var xhrTopics = Titanium.Network.createHTTPClient();

xhrTopics.onload = function() {
  var topics = JSON.parse(this.responseText);
  var data = [];
  
  for (var i=0; i < topics.length; i++) {
    var topic = topics[i].topic;
    var customColor = topic.color ? topic.color : '#1169ae';
    var lighterCustomColor = getLighterColor(customColor);
    
    var row = Ti.UI.createTableViewRow({
      hasChild:true,
      height:80,
      topic:topic,
      title:topic.name,
      topicColor:customColor,
      fontSize:24,
      color:'#fff',
      selectedBackgroundColor:'#ddd',
      backgroundGradient: {
        type:'linear',
        colors:[customColor,lighterCustomColor],
        startPoint: {x:0, y:0},
        endPoint: {x:0, y:80},
        backFillStart:false
      }
    });
    data.push(row);
  };
  topicsTable.setData(data);
};

xhrTopics.open('GET', 'http://screencasts.org/topics.json');
xhrTopics.send();

function episodesToData(episodes) {
  var data = [];
  for (var i=0; i < episodes.length; i++) {
    var episode = episodes[i].episode;
    var row = Ti.UI.createTableViewRow({
      hasChild:true,
      height:80,
      backgroundColor:'#fff',
      video_blip_id:episode.video_blip_id
    });
    
    var image = Titanium.UI.createImageView({
      image:"http://screencasts.org/thumbnails/"+episode.slug+"/280x150png",
      left:-155
    });
    row.add(image);
    
    var episodeTitle = Ti.UI.createLabel({
      text:episode.title,
      color:'#666666',
      left: 155,
      font: {
        fontSize: 13
      },
      height: 70,
      width: 135
    });
    row.add(episodeTitle);
    data.push(row);
  };
  return data;
}

var singleTopicTitle;
var singleTopicColor;

var singleTopicTable = Titanium.UI.createTableView({data: [], backgroundColor: 'transparent'});

var singleTopicXhr = Titanium.Network.createHTTPClient();

singleTopicXhr.onload = function() {
 var episodes = JSON.parse(this.responseText);
 var data = episodesToData(episodes);
 
 addEmptyRows(data);
 singleTopicTable.setData(data);
 
 var singleTopicWindow = Titanium.UI.createWindow({
   title: singleTopicTitle,
   barColor: singleTopicColor
 });
 singleTopicWindow.add(singleTopicTable);
 singleTopicWindow.backButtonTitle = "Topics";
 nav.open(singleTopicWindow);
};

topicsTable.addEventListener("click", function(e){
	if (Ti.Network.online) {
 		singleTopicTitle = e.row.topic.name;
 		singleTopicColor = e.row.topicColor;
 		singleTopicXhr.open('GET', 'http://screencasts.org/topics/'+e.row.topic.slug+'.json');
 		singleTopicXhr.send();
	} else {
		notConnectedAlert();
	}
});


var latestTable = Titanium.UI.createTableView({data: [], backgroundColor:'transparent'});
var latestXhr = Titanium.Network.createHTTPClient();
latestXhr.onload = function() {
  var latestEpisodes = JSON.parse(this.responseText);
  var data = episodesToData(latestEpisodes);
  latestTable.setData(data);
};
latestWindow.add(latestTable);
latestXhr.open('GET', 'http://screencasts.org/episodes/latest.json');
latestXhr.send();

